import { post } from '@/api/http'
export default {

    getSchoolTeacherAll: function(data) {
        return post('/school/teacher/get-teacher-all', data)
    },
    getPermissionByIdToken: function(data) {
        return post('/school/teacher/get-teacher-permission', data)
    },
    getSchoolAuthorityList: function () {
        return post('/school/teacher/get-teacher-authoritylist')
    },
    updPermissionByIds: function (data) {
        return post('/school/teacher/upd-teacher-permission', data)
    },
    addSchoolUserToInvite: function (data) {
        data['status'] = 'invite';
        return post('/school/teacher/add-teacher-status', data)
    },
    updStatusToSchoolUser: function (data) {
        return post('/school/teacher/upd-teacher-status', data)
    },
    rmvSchoolUser: function (data) {
        return post('/school/teacher/rmv-teacher', data)
    },
    getUserFromCoreId: function (data) {
        return post('/school/teacher/get-coreuser', data)
    },
}
